
from dataclasses import dataclass
from pyamis.base import PyAmisComponent,Api
from typing import Union
from .formitem import Formitem

class FormMonthRange(Formitem):
    """
    https://github.com/baidu/amis/blob/master/docs/zh-CN/components/form/month-range.md
    :param format: 日期选择器值格式
    :param inputFormat: 日期选择器显示格式
    :param placeholder: 占位文本
    :param minDate: 限制最小日期，用法同 限制范围
    :param maxDate: 限制最大日期，用法同 限制范围
    :param minDuration: 限制最小跨度，如： 2days
    :param maxDuration: 限制最大跨度，如：1year
    :param utc: 保存 UTC 值
    :param clearable: 是否可清除
    :param embed: 是否内联模式
    """
    def __init__(self,
                 format: str = None,
                 inputFormat: str = None,
                 placeholder: str = None,
                 minDate: str = None,
                 maxDate: str = None,
                 minDuration: str = None,
                 maxDuration: str = None,
                 utc: bool = None,
                 clearable: bool = None,
                 embed: bool = None,
                 **kwargs):
        super(FormMonthRange,self).__init__(format = format,inputFormat = inputFormat,placeholder = placeholder,minDate = minDate,maxDate = maxDate,minDuration = minDuration,maxDuration = maxDuration,utc = utc,clearable = clearable,embed = embed,type = "month-range",**kwargs)
    